package com.dgtly.system.mapper;


import com.dgtly.system.domain.DeliverOrderBase;
import com.dgtly.system.domain.TmsLogisticsStatus;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 批量签收
 * 
 * @author mxy
 * @date 2021-04-29
 */
public interface SysBatchSignForMapper {


    public void delete(List<String> listData);


    void saveTmsLogisticsStatus(@Param("list") List<TmsLogisticsStatus> list);

    void saveDeliverOrderBaseList(@Param("list") List<DeliverOrderBase> list2);

    List<Map<String, String>> selectByDeliveryNumber(@Param("list") List<String> listData);

    List<TmsLogisticsStatus> selectByDelivery();

    void updateBatchTmsStatus(@Param("list") List<TmsLogisticsStatus> list);

    /**
     * @description: 查询45天内的自提单未去提货的
     * @param: []
     * @return: java.util.List<com.dgtly.system.domain.TmsLogisticsStatus>
     * @author: njs
     * @date: 2023/5/15 17:01
     */
    @MapKey("customerCode")
    Map<String,Map<String,Object>>  selectDeliverySelf();
}
